%define		mainver		0.96
%undefine		betaver		
%define		fedorarel	1

# Note:
# mecab dictionary requires mecab-devel to rebuild it,
# and mecab requires mecab dictionary

Name:		mecab
Version:	%{mainver}
%if %{?betaver:0}%{!?betaver:1}
Release:	%{fedorarel}%{?dist}
%else
Release:	0.%{fedorarel}.%{betaver}%{?dist}
%endif
Summary:	Yet Another Part-of-Speech and Morphological Analyzer

Group:		Applications/Text
License:	BSD/LGPL/GPL
URL:		http://mecab.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{mainver}%{?betaver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
MeCab is a open source morphological analyzer which uses 
CRF (Conditional Random Fields) as the estimation of parameters.

NOTE:
You have to install MeCab dictionary rpm to make use
of MeCab.

%package devel
Summary:	Libraries and Header files for Mecab
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the development package that provides header files and libraries
for MeCab.

%prep
%setup -q -n %{name}-%{mainver}%{?betaver}

# compiler flags fix
%{__sed} -i.flags \
	-e '/-O3/s|CFLAGS=\"\(.*\)\"|CFLAGS=\${CFLAGS:-\1}|' \
	-e '/-O3/s|CXXFLAGS=\"\(.*\)\"|CXXFLAGS=\${CFLAGS:-\1}|' \
	-e '/MECAB_LIBS/s|-lstdc++||' \
	configure

# multilib change
%{__sed} -i.multilib \
	-e 's|@prefix@/lib/mecab|%{_libdir}/mecab|' \
	mecab-config.in mecabrc.in

%build
%configure
# remove rpath from libtool
%{__sed} -i.rpath \
	-e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
	-e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
	libtool

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -c -p"

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}
%{__rm} -f doc/Makefile*

# create directory
%{__mkdir} -p $RPM_BUILD_ROOT%{_libdir}/mecab/dic/

%check || :
# here enable rpath
export LD_LIBRARY_PATH=$(pwd)/src/.libs
cd tests
%{__make} check || :
cd ..

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BSD COPYING GPL LGPL
%doc doc/* example/
%{_mandir}/man1/%{name}.1*

%config(noreplace) %{_sysconfdir}/mecabrc
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_libdir}/lib%{name}.so.*
# several dictionaries can install data files
# into the following directory.
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/dic/

%files devel
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h

%changelog
* Mon Jun 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.96-1
- 0.96 release

* Fri May  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-2.dist.2
- rebuild

* Sun Apr  1 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-2
- remove -lstdc++ from mecab-config (#233424)

* Sun Mar 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-1
- 0.95

* Thu Mar  8 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-0.1.pre1.1
- 0.95 pre1

* Tue Feb 27 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.94-0.4.pre2
- Fix libexec dir for 64bit.

* Tue Feb 27 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.94-0.3.pre2
- Package requirement deps reconstruct

* Mon Feb 26 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.94-0.2.pre2
- Remove rpath on 64bit.

* Fri Feb 23 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.94-0.1.pre2
- Initial packaging for Fedora.

* Fri Feb 23 2007 Minokichi Sato <m-sato@rc.kyushu-u.ac.jp>
- Initial build.
